- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axiom_doctype.h File Reference

defines struct representing xml DTD and its manipulation functions More...

`#include <axiom_node.h>`
`#include <axiom_output.h>`

Go to the source code of this file.

## Typedefs
typedef struct axiom_doctype | axiom_doctype_t
## Functions
AXIS2_EXTERN axiom_doctype_t * | axiom_doctype_create (const axutil_env_t *env, axiom_node_t *parent, const axis2_char_t *value, axiom_node_t **node)
AXIS2_EXTERN void | axiom_doctype_free (struct axiom_doctype *om_doctype, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | axiom_doctype_get_value (struct axiom_doctype *om_doctype, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_doctype_set_value (struct axiom_doctype *om_doctype, const axutil_env_t *env, const axis2_char_t *value)
AXIS2_EXTERN axis2_status_t | axiom_doctype_serialize (struct axiom_doctype *om_doctype, const axutil_env_t *env, axiom_output_t *om_output)

## Detailed Description

defines struct representing xml DTD and its manipulation functions